io.etcd.jetcd.maintenance

## Class HashKVResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<HashKVResponse>
  - - io.etcd.jetcd.maintenance.HashKVResponse

All Implemented Interfaces:
  Response

    public class HashKVResponse
    extends AbstractResponse<HashKVResponse>

HashKVResponse returned by `Maintenance#HashKV(String, long)`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`HashKVResponse(HashKVResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCompacted()` return compact_revision is the compacted revision of key-value store when hash begins.
`int` `getHash()` return the hash value computed from the responding member's MVCC keys up to a given revision.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HashKVResponse

    public HashKVResponse(HashKVResponse response)

### Method Detail

#### getHash

    public int getHash()

return the hash value computed from the responding member's MVCC keys up to a given revision.

#### getCompacted

    public long getCompacted()

return compact_revision is the compacted revision of key-value store when hash begins.